package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallFeedbackMapper;
import com.ruoyi.mall.domain.MallFeedback;
import com.ruoyi.mall.service.IMallFeedbackService;

/**
 * 意见反馈Service业务层处理
 * 
 * @author chang
 * @date 2021-11-25
 */
@Service
public class MallFeedbackServiceImpl implements IMallFeedbackService 
{
    @Autowired
    private MallFeedbackMapper mallFeedbackMapper;

    /**
     * 查询意见反馈
     * 
     * @param id 意见反馈主键
     * @return 意见反馈
     */
    @Override
    public MallFeedback selectMallFeedbackById(Long id)
    {
        return mallFeedbackMapper.selectMallFeedbackById(id);
    }

    /**
     * 查询意见反馈列表
     * 
     * @param mallFeedback 意见反馈
     * @return 意见反馈
     */
    @Override
    public List<MallFeedback> selectMallFeedbackList(MallFeedback mallFeedback)
    {
        return mallFeedbackMapper.selectMallFeedbackList(mallFeedback);
    }

    /**
     * 新增意见反馈
     * 
     * @param mallFeedback 意见反馈
     * @return 结果
     */
    @Override
    public int insertMallFeedback(MallFeedback mallFeedback)
    {
        return mallFeedbackMapper.insertMallFeedback(mallFeedback);
    }

    /**
     * 修改意见反馈
     * 
     * @param mallFeedback 意见反馈
     * @return 结果
     */
    @Override
    public int updateMallFeedback(MallFeedback mallFeedback)
    {
        return mallFeedbackMapper.updateMallFeedback(mallFeedback);
    }

    /**
     * 批量删除意见反馈
     * 
     * @param ids 需要删除的意见反馈主键
     * @return 结果
     */
    @Override
    public int deleteMallFeedbackByIds(Long[] ids)
    {
        return mallFeedbackMapper.deleteMallFeedbackByIds(ids);
    }

    /**
     * 删除意见反馈信息
     * 
     * @param id 意见反馈主键
     * @return 结果
     */
    @Override
    public int deleteMallFeedbackById(Long id)
    {
        return mallFeedbackMapper.deleteMallFeedbackById(id);
    }
}
